.TH xcd 1
.SH Name
xcd \- Motif based CD player control panel
.SH Syntax
xcd [ \fIoptions\fP ] 
.SH Description
.NXR "cd"
.NXM "cd"
.PP
The 
.B xcd
command displays a graphical representation of a compact disk player's
control panel using X-based Motif windows.  The display includes a main key
pad with keys for PLAY, STOP, PAUSE, EJECT, NEXT TRACK, PREVIOUS TRACK, DISK
ACCESS LOCK, REPEAT MODES, SHUFFLE MODE, and QUIT.  A status window displays
track and time information.  A set of selection buttons, one for each track
of an inserted CD, allow you to directly select a track to be played.  The 
selection buttons double as a display of the play sequence with track now 
playing highlighted.  A volume slider adjusts output volume across a scale 
of 0-100.  The volume control on the RRD42 itself should be set to full.
.PP
To use this program you need a DECstation with a RRD42 Compact Disk Player
and you must be running ULTRIX 4.2, thought it might work on OSF/1 with the
same hardware.  The xcd program is not supported.
.PP
Most of the buttons on the control panel are self-explanatory.  One,
however, may not be obvious.  The padlock button may be used to disable the
eject button on the front of the RRD42.  This can be used to prevent someone
from ripping off your CD.
.PP
You can customize some aspects of xcd's appearance by specifying 
xcd resources in your ~/.Xdefaults file.  Use the "Xcd" file as a 
template.  In the binary kit, this file is found in the 
/usr/lib/X11/app-defaults/ directory.
.PP
If you have the source kit, a motif UIL compiler, and a little initative, you
can do a quite a bit of customization of xcd by monkeying with the 
UIL file.  See the makefile rule for "xcd.uid" to see how to compile the 
UIL file.
.PP
.SH Options
.TP 20
.B \-f \fIdeviceName\fP
Specifies the raw device name of the CD hardware.  If this option is not 
specified xcd uses the device name specified by your CDROM environment 
variable.
.PP
.TP 20
.B \-v
Print the current xcd version number
.PP
.TP 20
.B \-bd \fIcolor\fP
Specifies the color of the window's border (color displays only).
The default is specified by means of the Session Manager's 
Customize Window dialog box.
.PP
.TP 20
.B \-bg \fIcolor\fP
Specifies the color of the window's background (color displays only).
The default is specified by means of the Session Manager's 
Customize Window dialog box.
.\".PP
.\".TP 20
.\".B \-bw \fIpixels\fP
.\"Specifies the width (in pixels) of the window's border.
.PP
.TP 20
.B \-d \fIdispname\fP
Specifies the display screen on which xcd displays its window.  If the
display option is not specified, xcd uses the display screen specified
by your DISPLAY environment variable.  The display option has the format
\fIhostname:number.\fP  Using two colons (::) instead of one (:) indicates that
DECnet is to be used for transport.  The default is :0.  For more information,
see 
.MS X 1X .
.PP
.TP 20
.B \-display \fIdispname\fP
This option is the same as the \fB\-d\fP option.
.PP
.TP 20
.B \-fg \fIcolor\fP
Specifies the color of the text (color displays only).
The default is specified by means of the Session Manager's 
Customize Window dialog box.
.PP
.TP 20
.B \-fn \fIfont\fP
Specifies the font for all of the xcd menus. This option is overriden by the .Xdefaults file.
.SH Files
~/.Xdefaults
.br
/usr/lib/X11/app-defaults/Xcd
.br
/usr/lib/X11/uid/xcd.uid
.SH See Also
locate_cd(1), X(1)

